<div class="container-add-task">
<form [formGroup]="addTaskForm" (ngSubmit)="onSubmit()">
    <input 
    type="text" formControlName="name" placeholder="name" required>
    <div *ngIf="name?.invalid && (name?.dirty || name?.touched)">
      <div *ngIf="name?.errors?.['required']" class="invalid-feedback">
          Name is required.
        </div>
        <div *ngIf="name?.errors?.['minlength']" class="invalid-feedback">
          Name must be at least 4 characters long.
        </div>
        <div *ngIf="name?.errors?.['pattern']" class="invalid-feedback">
          Name should contain only lowercase letters, Latin letters, numbers, special characters
        </div>
        </div>
    <button type="submit"
    class="btn-update">Add</button>
    <button 
    class="btn-close"
    type="button" (click)="modalTaskService.closeModalTask()">Close me</button>
  </form> 
  
</div>